x-java-vm reported as not installed. after installation/restart, same thing.



Toolkit Graveyard
Plugin Finder Service
14 years ago
4 years ago


(Reporter: rob collins, Unassigned)




(1 attachment)



14 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040615 Firefox/0.9
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040615 Firefox/0.9

if i go to a page with a java applet, it asks me to download the plugin.  After
installing the plugin however, it continues to fail to recognize the java vm is

Reproducible: Always
Steps to Reproduce:
1. go to any page with a java applet

Actual Results:  
missing applet icon in place of applet; automatically forwarded to download a
plugin.  Extension manager launches and downloads/installs.  Restart of firefox
optional.  continues to fail to use the applet.

Expected Results:  
i'm thinking maybe the mime type isn't getting set ... but i don't know how to tell

Comment 1

14 years ago
ahh, on starting on the commandline, I get: 
LoadPlugin: failed to initialize shared 
library /usr/local/bin/FireFox/plugins/java2/plugin/i386/ns600/libjavaplugin_oji.so 
undefined symbol: __vt_17nsGetServiceByCID] 
i need to install something 

Comment 2

14 years ago
Created attachment 152607 [details]
early/wrong jre?

installed sun's j2re 1.4.2 since my java rpm was jre-1.3.1_02-3cl.  after
installing from rpm and running ln -s /usr/java/blah-blah as found on a website
where the same problem was discussed ... still get the load lib error.	:snap:
hmmm, maybe i also have to uninstall the old jre?  I don't want to do that
until I know it wont break anything

Comment 3

14 years ago
okay im having the same problem it is CONFIRMED NOW!!!!
reboot/restart of firefox no effect just wants to download and install again/tried 
using the java applet anyways with out restart/ no success/ Slackware 9.1 with
2.4 kernel on an amd athlon xp 1700+ with 256 mb of ram 


Comment 4

13 years ago
Similar/Additional to 250373:
On '386' PC running SuSE linux 9.2
mozilla 1.77
firefox 1.0.4

Run jre 1.4.2 under mozilla 1.77 no problem.
'Upgrad' to firefox 1.0.4 - cannot run jre 1.4.2. on firefox. Reports same
errors as original bug report as below.
Download and install to jre 1.5 and re s link to mozilla and firefox. 
Mozilla now running jre1.5 without problem. 
Firefox still not running jre of any sort.
-> PFS
Component: Extension/Theme Manager → Plugin Finder Service
Assignee: bugs → nobody
QA Contact: bugs → plugin.finder

Comment 6

12 years ago
If PFS doesn't work, here's some info on manual installing on linux:

a mustread: http://plugindoc.mozdev.com/linux.html#Java

Could someone confirm that PFS is working to install Java on Linux?


10 years ago
Product: Firefox → Toolkit
I suspect this ancient bug is no longer valid. Feel free to reopen if that's not the case.
Last Resolved: 5 years ago
Resolution: --- → INVALID


4 years ago
Product: Toolkit → Toolkit Graveyard
You need to log in before you can comment on or make changes to this bug.